log:
  level: info
  format: json
  output: file
  file:
    path: siem-connector.log
    rotation:
      compress: true
      maxbackups: 10
      maxsize: 25M
server:
  address: "127.0.0.1:0"
  timeouts:
    write: 5m
    idle: 5m
  limits:
    maxBodySize: 10M
    maxRequests: 100
  log:
    requestStart: true
    addRequestInfo: true
db:
  dialect: sqlite3
  sqlite3:
    path: siem-connector.db
agent:
  poller:
    type: eventmanager
    polling:
      pollrequesttimeout: 5s
      pollinterval: 500ms
      maxerrorbackoffinterval: 1h
      backoffinitialinterval: 15m
      schedulerinterval: 15m
      schedulerruntimeout: 15m
    subscription:
      topicid: cti.a.p.em.topic.v1.0~a.p.siemconn.v1.0
